What web browsers are supported by Aviall.com?

Why is Aviall no longer supporting IE 8, 9 & 10?

Supporting deprecated browsers requires expensive and complex workarounds that prevent us from providing you with the best experience possible. As of January 2016, Microsoft no longer supports IE 8, 9 & 10 on any desktop platforms. Any new security issues found with these browsers will not be patched by Microsoft.

Want to learn more?

Please visit Microsoft’s Internet Explorer Lifecycle Policy FAQ to learn more.

Aviall’s Browser Support Policy:

Please note that this web site certifies (i.e., tests for compatibility with our software) only the current (at time of build deployment) major release of Microsoft Internet Explorer, Google Chrome, Mozilla Firefox, and Apple Safari as the web browser.

However, we support (i.e., no longer test for compatibility, but will address issues on a case-by-case basis) the prior major release of Microsoft Internet Explorer, Google Chrome, Mozilla Firefox, and Apple Safari(iOS only) as the web browser. Although others may work with varying degrees of functionality, no other browsers (e.g., BlackBerry, Camino, Konqeuror, Maxthon, Navigator, OmniWeb, Opera, etc.) are supported by Aviall.

To get the best possible experience using our site, we recommend that you upgrade to the latest version of Microsoft Internet Explorer, Google Chrome, Mozilla Firefox, or Apple Safari (iOS only). To upgrade or install another browser, please see:

Have more questions? Submit a request